Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77811 - Error in kickstart docs
Summary: Error in kickstart docs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tammy Fox
QA Contact: Tammy Fox
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-13 22:51 UTC by Brent Fox
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-15 04:39:54 UTC


Attachments (Terms of Use)

Description Brent Fox 2002-11-13 22:51:24 UTC
I think that the docs for the "--append" option for the bootloader command is
missing a "=". 

If you look in kickstart.py from anaconda:

        (args, extra) = isys.getopt(args, '',
                [ 'append=', 'location=', 'useLilo', 'lba32',
                  'password=', 'md5pass=', 'linear', 'nolinear',
                  'upgrade'])

It looks like the 'append' tag needs an "=".  It's also not clear what the
proper syntax for the kernel parameters is supposed to be.  

For example: 
1) Do I need to put the parameters in quotation marks?  Probably not, but it's
not clear.

2) If there's more than one, do they need to be comma separated?  Or does each
additional parameter need another "append" tag like:
bootloader --append=nodma --append=noapic

We need more information.  Note: I'm not sure what the correct answer is here. 
Maybe check with katzj.

Comment 1 Tammy Fox 2002-11-15 04:39:46 UTC
I was told that you can use the = or not. I'll test it and let you know.

Comment 2 Tammy Fox 2002-12-12 21:39:08 UTC
katzj said the syntax is:

--append="foo bar baz" 

I added an explanation of how to specify multiple parameters and an example.
It will appear in the next version.


Note You need to log in before you can comment on or make changes to this bug.